# SDrawerComponent

Extends **SWebComponent**

Simple webcomponent to create fully customizable drawers.
Features:
1. Fully customizable
2. Support all sides (top, right, bottom and left)
3. Support 3 animation types (push, slide and reveal)


### Example
```scss
	@include s-drawer-classes(
	$name : menu,
	$side : right
);
@include s-drawer-element(drawer) {
	background-color: black;
	padding: 20px;
}
@include s-drawer-element(overlay) {
	background-color: rgba(0,0,0,.5);
}
```
Author : Olivier Bossel <olivier.bossel@gmail.com>




## Attributes

Here's the list of available attribute to set on the element.

### name

Specify the name of the drawer to be able to access it later through the API

Type : **{ [String](https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/String) }**

Default : **null**


### closeOnClick

Close the drawer when click on a link inside it

Type : **{ [Boolean](https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/Boolean) }**

Default : **true**


### handleHash

Specify if need to check the hash to automatically open the drawer if match with the name

Type : **{ [Boolean](https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/Boolean) }**

Default : **true**


### preventContentScroll

Prevent the content from scrolling when the drawer is opened.
This will override your transitions on the content so be aware of that...

Type : **{ [Boolean](https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/Boolean) }**




## Methods


### open

Open the drawer


### close

Close the drawer


### isOpen

Check if is opened

Return **{ [Boolean](https://developer.mozilla.org/fr/docs/Web/JavaScript/Reference/Objets_globaux/Boolean) }** true if opened, false if not