# SDrawerComponent

Util mixins to style s-drawer components


## Mixins


### s-drawer-opened

Target an opened drawer


Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$name  |  **{ [String](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#sass-script-strings) }**  |  The name of the drawer to target  |  optional  |  s-drawer-current-name()

#### Example
```scss
	@include s-drawer-opened(menu) {
 	@include s-drawer-element(content) {
 	 	transform: scale(.5);
 	}
}
```

### s-drawer-element

Specify a drawer element to style
Here's the list of available elements:
- ```drawer``` : the drawer itself
- ```overlay``` : the overlay that will be displayed over the content
- ```toggle``` : the toggle input
- ```bkg``` : the background
- ```content``` : the element that has the s-drawer-content" attribute



Name  |  Type  |  Description  |  Status  |  Default
------------  |  ------------  |  ------------  |  ------------  |  ------------
$element  |  **{ [String](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#sass-script-strings) }**  |  The element to style. Can be drawer, overlay, toggle, bkg or content  |  optional  |  drawer
$name  |  **{ [String](http://www.sass-lang.com/documentation/file.SASS_REFERENCE.html#sass-script-strings) }**  |  The name of the drawer to target  |  optional  |  s-drawer-current-name()

#### Example
```scss
	@include s-drawer-element(drawer) {
 	background: s-color(secondary);
 	color: white;
}
@include s-drawer-element(overlay) {
		background: s-color(secondary, -opacity .5);
}
```